Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1877855 - Review Request: python-bidict - Bidirectional mapping library for Python
Summary: Review Request: python-bidict - Bidirectional mapping library for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1876911
Blocks: 1877859
TreeView+ depends on / blocked
 
Reported: 2020-09-10 15:30 UTC by Fabian Affolter
Modified: 2020-10-02 00:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-02 00:34:35 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-09-10 15:30:16 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-bidict.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-bidict-0.21.2-1.fc32.src.rpm

Project URL: https://bidict.readthedocs.io

Description:
Forward declarations for all the custom interpreted text roles that Sphinx
defines and that are used below. This helps Sphinx-unaware tools (e.g.
rst2html, PyPI's and GitHub's renderers, etc.

Koji scratch build:
fails due to missing dependency

rpmlint output:
$ rpmlint python-bidict-0.21.2-1.fc32.src.rpm 
python-bidict.src: W: spelling-error %description -l en_US renderers -> renders, surrender, render
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint python3-bidict-0.21.2-1.fc32.noarch.rpm 
python3-bidict.noarch: W: spelling-error %description -l en_US renderers -> renders, surrender, render
python3-bidict.noarch: E: zero-length /usr/lib/python3.8/site-packages/bidict/py.typed
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-09-10 22:22:59 UTC
 - Latest version packaged
 - License ok
 - Builds in mock
 - Tests pass
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-09-11 06:38:22 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-09-11 14:42:18 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-bidict

Comment 4 Fedora Update System 2020-09-27 20:23:47 UTC
FEDORA-2020-14086fc77a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-14086fc77a

Comment 5 Fedora Update System 2020-09-28 01:02:05 UTC
FEDORA-2020-14086fc77a has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-14086fc77a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-14086fc77a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-02 00:34:35 UTC
FEDORA-2020-14086fc77a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.